Bug 248565 - devel/libgudev: Update to 233
Summary: devel/libgudev: Update to 233
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-08-10 03:26 UTC by Jan Beich
Modified: 2020-08-12 16:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-08-10 03:26:56 UTC
230 is 5 years old, 231 is 3 years old, 232 is 2 years old, 233 is 1 year old. In order to update x11/squeekboard to 1.9.3 I need to package feedbackd but it requires libgudev >= 232. Can you keep up-to-date in order to avoid blocking consumers (updates or new ports)?

https://download.gnome.org/sources/libgudev/
https://gitlab.gnome.org/GNOME/libgudev/-/tags
https://repology.org/project/libgudev/versions
https://source.puri.sm/Librem5/feedbackd/-/blob/master/meson.build#L18
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-10 03:32:55 UTC
^Triage: 230 -> 233 are bugfixes only

MFH: 2020Q3 (blanket: bugfix release(s))
Comment 2 commit-hook freebsd_committer 2020-08-11 16:03:41 UTC
A commit references this bug:

Author: zeising
Date: Tue Aug 11 16:03:35 UTC 2020
New revision: 544690
URL: https://svnweb.freebsd.org/changeset/ports/544690

Log:
  devel/libgudev: Update to 233

  Update devel/libgudev to 233. [1]
  Change to use MASTER_SITE_GNOME.
  Disable umockdev since we don't have that in ports, and it's only used for
  tests.
  Fix COMMENT per portlint.

  PR:		248565 [1]
  Requested by:	jbeich [1]
  MFH:		2020Q3

Changes:
  head/devel/libgudev/Makefile
  head/devel/libgudev/distinfo
Comment 3 Niclas Zeising freebsd_committer 2020-08-11 16:05:04 UTC
Updated as requested, awaiting MFH decision.
Comment 4 commit-hook freebsd_committer 2020-08-12 16:47:46 UTC
A commit references this bug:

Author: zeising
Date: Wed Aug 12 16:47:31 UTC 2020
New revision: 544756
URL: https://svnweb.freebsd.org/changeset/ports/544756

Log:
  MFH: r544690

  devel/libgudev: Update to 233

  Update devel/libgudev to 233. [1]
  Change to use MASTER_SITE_GNOME.
  Disable umockdev since we don't have that in ports, and it's only used for
  tests.
  Fix COMMENT per portlint.

  PR:		248565 [1]
  Requested by:	jbeich [1]

  Approved by:	ports-secteam (joenum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/devel/libgudev/Makefile
  branches/2020Q3/devel/libgudev/distinfo
Comment 5 Niclas Zeising freebsd_committer 2020-08-12 16:49:14 UTC
merged